@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;500;600;700;800;900&display=swap');

* {
    padding: 0;
    margin: 0;
    font-family: 'Poppins', sans-serif;
}

html,
body {
    height: 100%;
}

body {
    background-color: #111;
    display: flex;
    flex-direction: column;
}

main {
    color: #fff;
    flex: 1;
}

footer {
    bottom: 0;
    width: 100%;
    background-color: #000;
}

nav {
    background-color: #000;
}

/* Botao gamer*/

.dpdefect:hover {
    background-color: #8d1d1d;

    transition: 0.1s;
}

.nav-item {
    font-size: 20px;
    margin-left: 15px;
    ;
}

.mrg {
    margin-right: 50px;
}

.mouse-efeito-navbar:hover {
    color: #fff;
}

.button-gamer {
    border: none;
    outline: none;
    color: #fff;
    background-color: #111;
    cursor: pointer;
    position: relative;
    z-index: 0;
    border-radius: 8px;
}

.button-gamer:before {
    content: '';
    background: linear-gradient(45deg, #ff0000, #8d5222, #fffb00, #1d5706, #00ffd5,
            #002bff, #7a00ff, #ff00c8, #ff0000);
    position: absolute;
    top: -2px;
    left: -2px;
    background-size: 400%;
    z-index: -1;
    filter: blur(5px);
    width: calc(100% + 4px);
    height: calc(100% + 4px);
    animation: glowing 20s linear infinite;
    opacity: 0;
    transition: opacity .3s ease-in-out;
    border-radius: 10px;
}

.button-gamer:active {
    color: #000
}

.button-gamer:active:after {
    background: transparent;
}

.button-gamer:hover:before {
    opacity: 1;
}

.button-gamer:after {
    z-index: -1;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #111;
    left: 0;
    top: 0;
    border-radius: 10px;
}

@keyframes glowing {
    0% {
        background-position: 0 0;
    }

    50% {
        background-position: 400% 0;
    }

    100% {
        background-position: 0 0;
    }
}

.rgb:hover {
    background-image:
        linear-gradient(to right, #ff0000, #8d5222, #fffb00, #1d5706, #00ffd5,
            #002bff, #7a00ff, #ff00c8, #ff0000);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: rainbow-animation 400s linear infinite;
}

@keyframes rainbow-animation {
    to {
        background-position: 4500vh;
    }
}

/* estilização do lobby room */

.fundo {
    border-radius: 30px;
    margin-bottom: 60px;
    display: flex;
    padding: 5px;
    justify-content: center;
    text-align: center;

    height: 100%;
    margin: 1%;
    margin-bottom: 1%;
}

.fundo img {
    width: 85%;
    height: 100%;
    border-radius: 30px;
}

.fundo .fundo2 {
    border-radius: 30px;
    margin-bottom: 60px;
    display: flex;
    height: 100%;
    padding: 5px;
    background-color: rgb(0, 0, 0);
    text-align: center;
}

.fundo .fundo3 {
    border-radius: 30px;
    height: 100%;
    width: 100%;
    display: grid;
    padding: 5px;
    background-color: gray;
    text-align: center;
    justify-content: center;
}

.button-input {
    border-radius: 10px;
    padding: 5px;
}

.fundo .fundo3 p {
    margin: 0;
    padding: 0;
}

.text-chat {
    border-radius: 30px;
    display: grid;
    padding: 5px;
    margin-top: 5px;
    background-color: #1111116b;
    margin-left: 150px;
    width: 150px;
    height: 30px;
}

.text-chat-2 {
    border-radius: 30px;
    display: grid;
    padding: 5px;
    margin-top: 5px;
    background-color: #1111116b;

    width: 150px;
    height: 30px;
}

/*Aqui já é o chat*/



.login {
    width: 100%;
    max-width: 330px;
    background-color: #064106;
    border-radius: 5px;
    padding: 20px;
    margin: 40px;
}

.login>h2 {
    text-align: center;
    font-weight: 600;
    font-size: 1.5rem;
    margin-bottom: 20px;
}

.login__form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.login__input {
    border: none;
    padding: 15px;
    font-size: 0.85rem;
    font-weight: 600;
    background-color: #121212;
    color: #f2f2f2;
    outline: none;
    border-radius: 5px;
}

.login__input:focus {
    outline: 2px solid #f2f2f2;
}

.login__button {
    border: none;
    padding: 15px;
    border-radius: 5px;
    font-size: 0.85rem;
    font-weight: 700;
    background-color: #ddd;
    cursor: pointer;
    color: #121212;
}

.login__button:hover {
    background-color: #fff;
}

.chat {
    width: 100%;
    height: 100%;
    display: none;
    flex-direction: column;
    justify-content: space-between;
}

.chat__messages {
    flex-grow: 1;
    padding: 30px 30px 90px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.chat__form {
    background-color: #191919;
    padding: 15px 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    bottom: 0;
    left: 0;
    width: 100%;
    border-radius: 20px;
    margin-bottom: 10px;
}

.chat__input {
    border: none;
    padding: 15px;
    border-radius: 8px;
    flex-grow: 1;
    background-color: #212121;
    outline: none;
    color: #f2f2f2;
    font-size: 1rem;
}

.chat__button {
    border: none;
    background: none;
    color: #f2f2f2;
    cursor: pointer;
}

.chat__button>span {
    font-size: 1.8rem;
}

.chat__messages>div {
    padding: 10px;

    max-width: 250px;
    font-size: 0.9rem;
    font-weight: 500;
    margin-bottom: 15px;
    line-height: 22px;
}

.message--self {
    background-color: #3e962c;
    color: #ffffff;
    border-radius: 10px 10px 0 10px;
    align-self: flex-end;
}

.message--other {
    background-color: #0a4d04;
    color: #ffffff;
    border-radius: 0 10px 10px 10px;
    align-self: flex-start;
}

.message--sender {
    display: block;
    margin-bottom: 15px;
    font-weight: 700;
    color: rgb(218, 221, 14);
}




.neon-background {
    background: linear-gradient(270deg, #ff00ea7e, rgba(129, 87, 207, 0.404), rgba(66, 0, 219, 0.685));
    background-size: 600% 600%;

    -webkit-animation: AnimationName 52s ease infinite;
    -moz-animation: AnimationName 52s ease infinite;
    animation: AnimationName 52s ease infinite;
}

@-webkit-keyframes AnimationName {
    0% {
        background-position: 0% 7%
    }

    50% {
        background-position: 100% 94%
    }

    100% {
        background-position: 0% 7%
    }
}

@-moz-keyframes AnimationName {
    0% {
        background-position: 0% 7%
    }

    50% {
        background-position: 100% 94%
    }

    100% {
        background-position: 0% 7%
    }
}

@keyframes AnimationName {
    0% {
        background-position: 0% 7%
    }

    50% {
        background-position: 100% 94%
    }

    100% {
        background-position: 0% 7%
    }
}

/* scrolbar*/
.no-scrollbar {
    overflow-x: hidden;
    overflow-y: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.no-scrollbar::-webkit-scrollbar {
    width: 0;
}